Name: md
Version: 035
Release: 1
Source:  ftp://sweet-smoke.ufr-info-p7.ibp.fr/public/Linux/md035.tar.gz
Source1: mdtab
Source2: http://www.ssc.com/lg/issue17/raid.html 
Patch: md.patch
Patch1: md-kernel.patch
Copyright: GPL
Group: Utilities/System
BuildRoot: /tmp/md035
Packager: Chris Spell <spell@wilmington.net>

%description
Utilities to support the device driver used to group several
block devices as a single drive, whatever the interface type.
Support for RAID-0 (disk striping).  Also supports linear
concatenation of devices.


%changelog
* Sun Jan 18 1998 Chris Spell <spell@wilmington.net>
- Fixed source so it would compile with RedHat 5.0.  Only changes made
  were to the include files to eliminate compile errors.  Also one change
  to the kernel include file md.h which also just shifts the include files
  around to avoid compile errors.  Hopefully the kernel include file will be 
  changed in the future so the kernel patch won't be neccessary.  No real
  code is changed in these patches.  The kernel patch is removed in the clean
  section of this spec.

%prep 

%setup -n md
%patch -p1
cd /usr/src/linux
%patch1 -p1 -b .mdbac

%build

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/man/man5 $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc

install mdadd $RPM_BUILD_ROOT/sbin
install mdcreate $RPM_BUILD_ROOT/sbin
install mdadd.8 $RPM_BUILD_ROOT/usr/man/man8
install mdcreate.8 $RPM_BUILD_ROOT/usr/man/man8
install mdtab.5 $RPM_BUILD_ROOT/usr/man/man5
cd $RPM_BUILD_ROOT/sbin
ln -s mdadd mdrun
ln -s mdadd mdstop
cd $RPM_BUILD_ROOT/usr/man/man8
ln -s mdadd.8 mdrun.8
ln -s mdadd.8 mdstop.8


MAJOR=`fgrep MD_MAJOR /usr/src/linux/include/linux/major.h | awk '{printf("%s",$3)}'`
for i in 0 1 2 3
do
      mknod -m 0600 $RPM_BUILD_ROOT/dev/md$i b $MAJOR $i
done            

install -m644  $RPM_SOURCE_DIR/mdtab $RPM_BUILD_ROOT/etc/mdtab

%files

%doc README
%doc md_FAQ
%doc md.lsm
%doc ChangeLog 
%doc $RPM_SOURCE_DIR/raid.html

/sbin/mdadd
/sbin/mdcreate
/sbin/mdrun
/sbin/mdstop

/dev/md*

%config /etc/mdtab

/usr/man/man8/*
/usr/man/man5/*


%clean

if [ -e /usr/src/linux/include/linux/md.h.mdbac ]
then
   mv -f /usr/src/linux/include/linux/md.h.mdbac /usr/src/linux/include/linux/md.h
fi
rm -rf $RPM_BUILD_ROOT

